> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/disk-snapshot/deletesnapshots.md).

# DeleteSnapshots

## 1. API Description

This API (DeleteSnapshots) is used to delete the specified snapshots.

{% hint style="info" %}
**Notes**

* The snapshot must be in the `AVAILABLE` status. The snapshot status can be queried through the [DescribeSnapshots](/api-reference/zec/disk-snapshot/describesnapshots.md) interface. See the description of the `snapshotState` field in the output parameters.
* When some snapshots cannot be deleted, the interface returns the set of snapshot IDs that failed to be operated on, and the remaining snapshots are deleted normally.
* Batch operations are supported. Up to 100 snapshots can be operated on in each request.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                         |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| snapshotIds    | Yes      | Array of String | <p>Snapshot ID list.</p><p>It can be obtained by calling <a href="/api-reference/zec/disk-snapshot/describesnapshots.md">DescribeSnapshots</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| snapshotIds    | Array of String | The IDs of the snapshots that failed to be deleted.                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Delete a set of snapshots.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteSnapshots
<Common Request Params>

Request：
{
    "snapshotIds": ["snapshotId1","snapshotId2"]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "snapshotIds": ["snapshotId1","snapshotId2"]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                | Description                                                |
| ---------------- | ----------------------------------------- | ---------------------------------------------------------- |
| 404              | INVALID\_DISK\_SNAPSHOT\_NOT\_FOUND       | Snapshot does not exist.                                   |
| 400              | OPERATION\_DENIED\_DISK\_SNAPSHOT\_STATUS | The operation is not supported for current snapshot state. |
